timeCard:clockIn

命名空间:microsoft.graph

重要

Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。

时钟以启动 timeCard

权限

要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限

权限类型 权限(从最低特权到最高特权)
委派(工作或学校帐户) Schedule.ReadWrite.All
委派(个人 Microsoft 帐户) 不支持。
应用程序 Schedule.ReadWrite.All*

*重要提示: 使用应用程序权限时,必须在请求MS-APP-ACTS-AS中包括 标头。

HTTP 请求

POST /teams/{teamId}/schedule/timecards/clockIn

请求标头

标头
Authorization Bearer {token}。必需。
Content-type application/json. Required.
MS-APP-ACTS-AS 应用代表其操作的用户的 ID。 使用应用程序权限范围时是必需的。

请求正文

在请求正文中,提供具有以下参数的 JSON 对象。

参数 类型 说明
atApprovedLocation Edm.boolean 指示此操作是否发生在已批准的位置。
onBehalfOfUserId String 管理员代表用户进行时钟的可选参数。
notes itemBody 时钟的备注。

响应

如果成功,此方法在响应 201 Created 正文中返回 响应代码和 timeCard 对象。

示例

请求

下面展示了示例请求。

POST https://graph.microsoft.com/beta/teams/fd15cad8-80f6-484f-9666-3caf695fbf32/schedule/timeCards/clockin
Content-type: application/json

{
    "atAprovedLocation": true,
    "notes": {
        "contentType": "text",
        "content": "clock in notes"
    }
}

响应

下面展示了示例响应。

注意: 为了提高可读性,可能缩短了此处显示的响应对象。

HTTP/1.1 201 Created
Content-type: application/json

{
    "id": "TCK_cc09588d-d9d2-4fa0-85dc-2aa5ef983972",
    "createdDateTime": "2021-05-27T22:58:41.327Z",
    "lastModifiedDateTime": "2021-05-27T22:58:41.327Z",
    "userId": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
    "state": "clockedIn",
    "confirmedBy": "none",
    "clockOutEvent": null,
    "notes": null,
    "lastModifiedBy": {
        "application": null,
        "device": null,
        "conversation": null,
        "user": {
            "id": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
            "displayName": "Jing Jing GuTwo"
        }
    },
    "clockInEvent": {
        "dateTime": "2021-05-27T22:58:41.327Z",
        "atApprovedLocation": null,
        "notes": {
            "contentType": "text",
            "content": "clock in notes"
        }
    },
    "breaks": [],
    "originalEntry": {
        "clockOutEvent": null,
        "clockInEvent": {
            "dateTime": "2021-05-27T22:58:41.327Z",
            "atApprovedLocation": null,
            "notes": {
                "contentType": "text",
                "content": "clock in notes"
            }
        },
        "breaks": []
    },
    "createdBy": {
        "application": null,
        "device": null,
        "conversation": null,
        "user": {
            "id": "70e47528-2fae-42b5-9d8e-ee73ccd90603",
            "displayName": "Jing Jing GuTwo"
        }
    }
}